<?php

namespace FiloBlu\CegidY2\Api\SaleDocumentService\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreateResponse StructType
 * Meta information extracted from the WSDL
 * - documentation: [Added 2013/04 - V1102] - Enables the creation of a sales document.
 * @subpackage Structs
 */
class CreateResponse extends AbstractStructBase
{
    /**
     * The CreateResult
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\Create_Reply
     */
    public $CreateResult;
    /**
     * Constructor method for CreateResponse
     * @uses CreateResponse::setCreateResult()
     * @param \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\Create_Reply $createResult
     */
    public function __construct(\FiloBlu\CegidY2\Api\SaleDocumentService\StructType\Create_Reply $createResult = null)
    {
        $this
            ->setCreateResult($createResult);
    }
    /**
     * Get CreateResult value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\Create_Reply|null
     */
    public function getCreateResult()
    {
        return isset($this->CreateResult) ? $this->CreateResult : null;
    }
    /**
     * Set CreateResult value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\Create_Reply $createResult
     * @return \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\CreateResponse
     */
    public function setCreateResult(\FiloBlu\CegidY2\Api\SaleDocumentService\StructType\Create_Reply $createResult = null)
    {
        if (is_null($createResult) || (is_array($createResult) && empty($createResult))) {
            unset($this->CreateResult);
        } else {
            $this->CreateResult = $createResult;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\CreateResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
