<?php

namespace FiloBlu\CegidY2\Api\SaleDocumentService\ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfGet_ShippingTax ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfGet_ShippingTax
 * @subpackage Arrays
 */
class ArrayOfGet_ShippingTax extends AbstractStructArrayBase
{
    /**
     * The Get_ShippingTax
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\Get_ShippingTax[]
     */
    public $Get_ShippingTax;
    /**
     * Constructor method for ArrayOfGet_ShippingTax
     * @uses ArrayOfGet_ShippingTax::setGet_ShippingTax()
     * @param \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\Get_ShippingTax[] $get_ShippingTax
     */
    public function __construct(array $get_ShippingTax = array())
    {
        $this
            ->setGet_ShippingTax($get_ShippingTax);
    }
    /**
     * Get Get_ShippingTax value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\Get_ShippingTax[]|null
     */
    public function getGet_ShippingTax()
    {
        return isset($this->Get_ShippingTax) ? $this->Get_ShippingTax : null;
    }
    /**
     * This method is responsible for validating the values passed to the setGet_ShippingTax method
     * This method is willingly generated in order to preserve the one-line inline validation within the setGet_ShippingTax method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateGet_ShippingTaxForArrayConstraintsFromSetGet_ShippingTax(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfGet_ShippingTaxGet_ShippingTaxItem) {
            // validation for constraint: itemType
            if (!$arrayOfGet_ShippingTaxGet_ShippingTaxItem instanceof \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\Get_ShippingTax) {
                $invalidValues[] = is_object($arrayOfGet_ShippingTaxGet_ShippingTaxItem) ? get_class($arrayOfGet_ShippingTaxGet_ShippingTaxItem) : sprintf('%s(%s)', gettype($arrayOfGet_ShippingTaxGet_ShippingTaxItem), var_export($arrayOfGet_ShippingTaxGet_ShippingTaxItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The Get_ShippingTax property can only contain items of type \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\Get_ShippingTax, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set Get_ShippingTax value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\Get_ShippingTax[] $get_ShippingTax
     * @return \FiloBlu\CegidY2\Api\SaleDocumentService\ArrayType\ArrayOfGet_ShippingTax
     */
    public function setGet_ShippingTax(array $get_ShippingTax = array())
    {
        // validation for constraint: array
        if ('' !== ($get_ShippingTaxArrayErrorMessage = self::validateGet_ShippingTaxForArrayConstraintsFromSetGet_ShippingTax($get_ShippingTax))) {
            throw new \InvalidArgumentException($get_ShippingTaxArrayErrorMessage, __LINE__);
        }
        if (is_null($get_ShippingTax) || (is_array($get_ShippingTax) && empty($get_ShippingTax))) {
            unset($this->Get_ShippingTax);
        } else {
            $this->Get_ShippingTax = $get_ShippingTax;
        }
        return $this;
    }
    /**
     * Add item to Get_ShippingTax value
     * @throws \InvalidArgumentException
     * @param \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\Get_ShippingTax $item
     * @return \FiloBlu\CegidY2\Api\SaleDocumentService\ArrayType\ArrayOfGet_ShippingTax
     */
    public function addToGet_ShippingTax(\FiloBlu\CegidY2\Api\SaleDocumentService\StructType\Get_ShippingTax $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\Get_ShippingTax) {
            throw new \InvalidArgumentException(sprintf('The Get_ShippingTax property can only contain items of type \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\Get_ShippingTax, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->Get_ShippingTax[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\Get_ShippingTax|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\Get_ShippingTax|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\Get_ShippingTax|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\Get_ShippingTax|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\Get_ShippingTax|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string Get_ShippingTax
     */
    public function getAttributeName()
    {
        return 'Get_ShippingTax';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \FiloBlu\CegidY2\Api\SaleDocumentService\ArrayType\ArrayOfGet_ShippingTax
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
